package lc.esp.telemetry.monitor;

import lc.esp.sdk.*;
import lc.mecha.log.MechaLogger;
import lc.mecha.log.MechaLoggerFactory;

import javax.jms.JMSException;

public class TelemetryMonitor {
    private static final MechaLogger logger = MechaLoggerFactory.getLogger(TelemetryMonitor.class);

    public static void main(String[] args) throws JMSException, InterruptedException {
        ESPClient esp = new ESPClient();
        esp.start();

        ESPAddress telemDest = new ESPAddress("lc", "dev",
                "env", "mon", ESPAddressClass.TOPIC,
                ESPMessageClass.TELEMETRY);

        logger.info("MQTT address: {}", telemDest.toMQTTAddress());

        ESPSession session = esp.createSession();

        ESPConsumer consumer = session.createConsumer(telemDest);

        //noinspection InfiniteLoopStatement
        while (true) {
            ESPMessage msg = consumer.receive();
            logger.info("{}", msg);
            System.out.println(msg.toJson());
        }
    }
}
